> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch move of playbooks to target workspace and pack

> Batch move of playbooks to target workspace and pack, the order of the



## OpenAPI

````yaml post /workspace/{ws_id}/batch_move
openapi: 3.0.1
info:
  title: Blink REST API
  description: >-
    The Blink REST API provides programmatic access to Blink data and
    functionality, enabling the management of resources such as workflows,
    users, cases, and more.
  termsOfService: https://www.blinkops.com/terms-of-use
  contact:
    name: API Support
    url: http://blinkops.com/support
    email: support@blinkops.com
  version: '1.0'
servers:
  - url: https://app.blinkops.com/api/v1
security: []
tags:
  - name: Controller
    description: Controller health and stats
  - name: Connections
    description: Manage your connections
  - name: Integrations
    description: Manage your integrations
  - name: Invites
    description: Manage your invites
  - name: Workflows
    description: Create and execute your workflows
  - name: Executions
    description: Get information and manage executions
  - name: Runners
    description: Configure your runners
  - name: Tables
    description: Manage your tables
  - name: Case Management
    description: Manage your cases
  - name: User Settings
    description: Manage user settings
  - name: Webhook
    description: Send to webhook
  - name: workspaces
    description: Manage your workspaces
  - name: User Info
    description: Get Information on current user
  - name: Portal
    description: Manage your portal apps
  - name: Groups
    description: Manage your Groups
  - name: Users
    description: Manage your users
paths:
  /workspace/{ws_id}/batch_move:
    post:
      tags:
        - Workflows
      summary: Batch move of playbooks to target workspace and pack
      description: Batch move of playbooks to target workspace and pack, the order of the
      operationId: BatchMovePlaybooksToDestination
      parameters:
        - name: id
          in: path
          description: ID
          required: true
          schema:
            type: string
        - name: ws_id
          in: path
          description: workspace ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: playbook_id
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api_responses.CopyMovePlaybookWithSubflowsResult
        '400':
          description: >-
            Operation failed, Automation with name A already exists on this
            workspace, please provide another automation name
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api_responses.CopyMovePlaybookWithSubflowsResult:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/api_responses.SinglePlaybookCopyMoveResult'
    api_responses.ErrorWrapper:
      type: object
      properties:
        data:
          type: object
        details:
          type: string
        identifier:
          type: string
        message:
          type: string
        status:
          type: integer
          example: 404
        user_error:
          type: object
    api_responses.SinglePlaybookCopyMoveResult:
      type: object
      properties:
        alreadyExistsInTargetWorkspace:
          type: boolean
        idInTarget:
          type: string
        nameInTarget:
          type: string
        wasDeletedInOrigin:
          type: boolean
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: >-
        Use your API key to access BlinkOps API. To generate an API key, please
        log in to your BlinkOps account and navigate to the API Keys section in
        the user settings page. Add the generated key to your request headers as
        BLINK-API-KEY.
      name: BLINK-API-KEY
      in: header

````